<template>
  <v-container>
    <v-row>
      <v-col>
        <v-btn
          x-large
          color="gris"
          class="addCategory mb-3"
          @click="goToAddCategory"
        >Añadir Categoría</v-btn>
      </v-col>
    </v-row>
    <v-row>
      <v-col
        cols="12"
        sm="6"
        md="3"
        v-for="(category, index) in categories"
        v-bind:key="index"
        class="categories mb-4"
      >
        <div class="show-category-box">
          <div @click="editcategory(category.idCategory)">
            <img :src="category.icons" alt />
            <p>{{ category.categoryName }}</p>
          </div>

          <v-btn
            small
            color="orange"
            class="deleteCategory"
            @click="
              confirmDeletingThisCategory(
                category.idCategory,
                category.categoryName
              )
            "
          >X</v-btn>
        </div>
      </v-col>
    </v-row>
  </v-container>
</template>

<script>
export default {
  name: 'ShowListOfCategories',
  components: {},
  props: {
    categories: {
      propType: Array,
      required: true
    }
  },

  data() {
    return {}
  },

  mounted() {},

  methods: {
    editcategory: function(idCategory) {
      this.$emit('edit-category-details-event', idCategory)
    },
    goToAddCategory() {
      this.$emit('go-to-add-category')
    },
    deleteCategory(idCategory) {
      this.$emit('delet-category-event', idCategory)
    },
    confirmDeletingThisCategory(idCategory, categoryName) {
      var r = confirm(`¿Quieres borrar la categoria : ${categoryName} ?`)
      if (r == true) {
        this.deleteCategory(idCategory)
      }
    }
  }
}
</script>

<style scoped>
#show-categproes-list {
  display: flex;
  justify-content: space-around;
  flex-wrap: wrap;
}
.categories {
  width: 29%;
}
.addCategory {
  height: 1%;
}
</style>
